Bug 493215 - xrandr 1.3 scaling does not work. [NEEDINFO]
xrandr 1.3 scaling does not work.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 18:56 EDT by sgodsell@hotmail.com
Modified: 2010-06-28 07:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (sgodsell)
mcepl: needinfo? (sgodsell)


Attachments (Terms of Use)
Xorg info as requested (1.20 MB, application/octet-stream)
2009-11-01 10:14 EST, Feng Yu
no flags Details

  None (edit)
Description sgodsell@hotmail.com 2009-03-31 18:56:13 EDT
Description of problem:
   When you use the Beta F11 on a system with intel video.  The xrandr command
   with the option --scale does not change the video output as it should.

Version-Release number of selected component (if applicable):
   xorg-X11-server
   xorg-X11-drv-intel
   Fedora 11 Beta

How reproducible:
   Boot up the beta F11 on a system with an intel video card.  When booted I
   went to a terminal prompt and typed in xrandr to see what screen I was
   connected it to.  With the intel card on the notebook and netbooks that I
   tested, it displayed LVDS1 as the connected video output.  When I typed in
   the command to scale the current output.
      xrandr --output LVDS1 --scale 1x1.25
   When that command was ran it scaled only the background image and not the
   entire display.  That is not what it should do.  The entire display should
   be scaled.  Now for another test case I disabled kms from the kernel boot
   line (nomodeset).  When the system booted, and I tried xrandr again.
   This time it told me that my current display was LVDS instead of LVDS1.
   So I typed in the following command:
      xrandr --output LVDS --scale 1x1.25
   And the next thing the entire display was screwed up. 

Steps to Reproduce for default system bootup:
1. xrandr --output LVDS1 --scale 1x1.25

Steps to Reproduce for nomodeset system bootup:
1. nomodeset on the kernel line at boot
2. xrandr --output LVDS --scale 1x1.25
  
Actual results:
   When I use the code from xorg directly and compiled it myself.  It scales
   my output accordingly and the entire display is scaled.  Not just the
   background image.  Also with systems that do not support kms or have it
   disabled.  Then the display is total screwed up when you try to scale it.
   Basically it does not function like its suppose to as advertised from xorg. 

Expected results:
   When the xrandr --scale command is run is should scale the video display
   output.


Additional info:
Comment 1 Matěj Cepl 2009-04-02 09:34:58 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2009-04-02 09:35:47 EDT
Just to add me too. Can test on my notebook.
Comment 3 Bug Zapper 2009-06-09 08:54:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Feng Yu 2009-11-01 10:13:08 EST
On a radeon card the background is not even scaled.


$ xrandr --output LVDS --mode 1024x768 --scale 1.25x1
xrandr: Configure crtc 0 invalid time
Comment 5 Feng Yu 2009-11-01 10:14:07 EST
Created attachment 367012 [details]
Xorg info as requested
Comment 6 Matěj Cepl 2009-11-05 13:24:05 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Feng Yu 2009-11-05 15:12:01 EST
The xorg info was attached on 11-01 on an up-to-date F-11 system, aka, with xorg servers at 1.6.4-0.1. 


I believe there has been no major updates since 2009-11-01 on Xorg in F-11. 

These are the only two changes in Xorg servers since 1.6.4-0.1 on Koji:

* Thu Oct 08 2009 Peter Hutterer <peter.hutterer@redhat.com> 1.6.4-0.3 - xserver-1.6.1-mousedrivers.patch: fix typo causing invalid memory access (#522936)

* Wed Sep 23 2009 Peter Hutterer <peter.hutterer@redhat.com> 1.6.4-0.2 - xserver-1.6.3-coreevents.patch: dont send events for devices with SendCoreEvents off. 

None of them looks relevant. And these test packages were not yet pushed to fedora-updates.

Officially F-11 is not immediately deprecated on the day F-12 is out, is it?
Comment 8 Matěj Cepl 2010-02-26 07:23:36 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 09:23:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:37:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.